curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts"
payload = {}
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create managed account
Sunset. This endpoint was sunset on 2026-09-29 and no longer returns data — it responds with 410 Gone on all API versions. There is no direct replacement; to send data held at your institution to MX, use MDX Real Time. See Deprecations for details.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique id for a member.
The unique identifier for a user, beginning with the prefix USR-.
Body
Managed account to be created.
Hide child attributes
Hide child attributes
The current balance of the account.
PENDING transactions are typically not taken into account with the current balance, but this may not always be the case.
The balance will usually be a positive value for all account types. Asset-type accounts (CHECKING, SAVINGS, INVESTMENT) may have a negative balance if they are in overdraft.
Debt-type accounts (CREDIT_CARD, LOAN, LINE_OF_CREDIT, MORTGAGE) may have a negative balance if they are overpaid.
1000
The unique partner-defined identifier for the account.
"1040434698"
The name of the account.
"Test account 2"
The general or parent type of the account.
"SAVINGS"
The account number associated with the account. This will typically be a masked or partial account number.
"3331261"
The annual percentage rate associated with the account.
5.25
The annual percentage yield associated with the account.
2.35
The balance that is available for use in asset accounts like checking and savings.
PENDING transactions are typically (not always) taken into account with the available balance.
available_balance will usually be a positive value for all account types, determined in the same way as the balance field.
1000
The amount of credit available for use in liability accounts like credit cards and lines of credit.
PENDING transactions are typically (not always) taken into account with available credit.
available_credit will usually be a positive value for all account types, determined in the same way as the balance field.
4000
Can only be updated for manual accounts. The sum of money paid to the policyholder or annuity holder in the event the policy is voluntarily terminated before it matures, or the insured event occurs.
1000
The credit limit associated with the account.
5000
The three-character ISO 4217 currency code, for example, USD.
"USD"
The day of the month the payment is due. For example, the 14th is passed as 14.
14
The amount paid to the beneficiary of the account upon death of the account owner.
1000
The interest rate associated with the account.
3.25
Indicates whether an account has been closed. Closed accounts will no longer update balance or transaction information.
false
Indicates whether the account is hidden. Hidden accounts can still have an active balance and receive transactions. Defaults to false.
false
The amount of the most recent payment on the account.
100
The date and time when the last payment was made, represented in ISO 8601 format with a timestamp.
"2015-10-13T17:57:37.000Z"
The amount of the loan associated with the account.
1000
The date on which the account matures.
"2015-10-13T17:57:37.000Z"
Additional information you can store about the account.
The minimum balance associated with the account.
100
The minimum payment required for an account. This can apply to any debt account.
10
An alternate name for the account.
"Swiss Account"
The original balance associated with the account.
10
The date and time at which the next payment is due on the account.
"2015-10-13T17:57:37.000Z"
The payoff balance for a debt account. This will normally be a positive number.
10
The routing number for the account.
"68899990000000"
The date on which the loan from a debt account started.
"2015-10-13T17:57:37.000Z"
The account's subtype, e.g., PLAN_401_K, MONEY_MARKET, or HOME_EQUITY.
"NONE"
Response
Gone. This endpoint was sunset on 2026-09-29 and no longer returns data — it responds with 410 Gone on all API versions. See Deprecations.

